nV News Forums

 
 

nV News Forums (http://www.nvnews.net/vbulletin/index.php)
-   NVIDIA Linux (http://www.nvnews.net/vbulletin/forumdisplay.php?f=14)
-   -   Inconsistency detected by ld.so: dl-close.c: 275.09 (http://www.nvnews.net/vbulletin/showthread.php?t=163154)

cova 06-05-11 05:00 AM

Inconsistency detected by ld.so: dl-close.c: 275.09
 
1 Attachment(s)
Some people (like me :( ) seems to be affected by the error message above, the full text being:

Inconsistency detected by ld.so: dl-close.c: 736: _dl_close: Assertion `map->l_init_called' failed!

an easy way to reproduce it is (on gentoo systems)
:
kefk ~ # python -c 'import PyQt4.Qt'
Inconsistency detected by ld.so: dl-close.c: 736: _dl_close: Assertion `map->l_init_called' failed!
kefk ~ # eselect opengl list
Available OpenGL implementations:
[1] nvidia *
[2] xorg-x11
kefk ~ # eselect opengl set 2
Switching to xorg-x11 OpenGL interface... done
kefk ~ # python -c 'import PyQt4.Qt'
kefk ~ # eselect opengl set 1
Switching to nvidia OpenGL interface... done
kefk ~ # python -c 'import PyQt4.Qt'
Inconsistency detected by ld.so: dl-close.c: 736: _dl_close: Assertion `map->l_init_called' failed!
kefk ~ #

bug report attached, driver version 275.09 - X86_64 - Gentoo - glibc 2.13-r2
gentoo bug report:
https://bugs.gentoo.org/show_bug.cgi?id=369993

jeisom 06-05-11 09:55 AM

Re: Inconsistency detected by ld.so: dl-close.c: 275.09
 
Thanks for the info. I been getting that on my gentoo system all over the place. From compiling to quitting VirtualBox. I didn't have any idea what was causing it. How did you figure it out?

cova 06-05-11 12:08 PM

Re: Inconsistency detected by ld.so: dl-close.c: 275.09
 
Quote:

Originally Posted by jeisom (Post 2441607)
Thanks for the info. I been getting that on my gentoo system all over the place. From compiling to quitting VirtualBox. I didn't have any idea what was causing it. How did you figure it out?

Well, seeing problems all over the place exactly like you I was not convinced by a single package problem, so I googled a bit and found this interesting arch linux forum post:

https://bugs.archlinux.org/task/24490

jeisom 06-05-11 05:05 PM

Re: Inconsistency detected by ld.so: dl-close.c: 275.09
 
Still occurs in 275.09.04 beta.

AaronP 06-05-11 06:58 PM

Re: Inconsistency detected by ld.so: dl-close.c: 275.09
 
Quote:

Originally Posted by jeisom (Post 2441713)
Still occurs in 275.09.04 beta.

The fix for this didn't quite make it into 275.09.04, but should be in the next 275.* release.

ivanich 06-07-11 05:32 PM

Re: Inconsistency detected by ld.so: dl-close.c: 275.09
 
Seems after update to glibc-2.14 bug is gone..

conky 07-01-11 09:56 PM

Re: Inconsistency detected by ld.so: dl-close.c: 275.09
 
This bug is back in 280.04.

$ cat /proc/driver/nvidia/version
NVRM version: NVIDIA UNIX x86_64 Kernel Module 280.04 Fri Jun 24 10:26:51 PDT 2011
GCC version: gcc version 4.6.0 (Gentoo 4.6.0 p1.2, pie-0.4.5)

$ python -c 'import PyQt4.Qt'
Inconsistency detected by ld.so: dl-close.c: 736: _dl_close: Assertion `map->l_init_called' failed!

jeisom 07-02-11 06:22 AM

Re: Inconsistency detected by ld.so: dl-close.c: 275.09
 
Quote:

Originally Posted by ivanich (Post 2442735)
Seems after update to glibc-2.14 bug is gone..

This doesn't seem to be the case for me on gentoo. with 280.04 and glibc-2.14 I could not login via gdm.

MaDDeePee 07-02-11 07:43 AM

Re: Inconsistency detected by ld.so: dl-close.c: 275.09
 
Quote:

Originally Posted by conky (Post 2451664)
This bug is back in 280.04.

$ cat /proc/driver/nvidia/version
NVRM version: NVIDIA UNIX x86_64 Kernel Module 280.04 Fri Jun 24 10:26:51 PDT 2011
GCC version: gcc version 4.6.0 (Gentoo 4.6.0 p1.2, pie-0.4.5)

$ python -c 'import PyQt4.Qt'
Inconsistency detected by ld.so: dl-close.c: 736: _dl_close: Assertion `map->l_init_called' failed!

Yeah, happens for me too:

Code:

NVRM version: NVIDIA UNIX x86 Kernel Module  280.04  Fri Jun 24 11:38:34 PDT 2011
GCC version:  gcc-Version 4.4.5 (Gentoo 4.4.5 p1.2, pie-0.4.5)
Inconsistency detected by ld.so: dl-close.c: 736: _dl_close: Assertion `map->l_init_called' failed!



All times are GMT -5. The time now is 09:51 PM.

Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.